Subject: Re: Improved git-gui blame viewer

From: Matthijs Melchior <[email-masked]>
Date: Mon, 04 Jun 2007 23:26:36 +0200

Shawn O. Pearce wrote:
> Matthijs Melchior <[email-masked]> wrote:
....
> 
>>   Something I want for the normal window, in the Staged and Unstaged
>>   file lists, high-lite the last entry selected so it becomes easy to
>>   click on the next one and I can see more clearly what is displayed
>>   in the bottom area.
> 
> I'm not sure I understand what you are looking for here.  Right now
> git-gui should be inverting the foreground/background colors on
> the file that is "selected" (shown in the lower diff view pane).
> So the background should be black, and the foreground white.
> Is this not happening?  Or are you looking for something else?
> 

No, I am not looking for something else...., the inverting you describe
does not happen on my machine....

I am now running Debian git-core 1.5.2.1-1 with 'make install' done
in the origin/pu branch of git-gui.
'About git-gui' now says:
	git-gui version 0.7.2.58-gf9e9
	git version 1.5.2.1
	Tcl/Tk version 8.4.12

If you explain where this inverting is taking place, I can do some
experiments to find out more [use gray background i.s.o. inverting...]
Maybe it has something to do with Desktop themes, I use the standard
Gnome theme.

Thanks,
	Matthijs Melchior.